Skip to main content
POST
/
utils
/
{resource_type}
/
{resource_uri}
/
fk-edges
/
find-paths
Find shortest paths between tables
curl --request POST \
  --url https://api.example.com/utils/{resource_type}/{resource_uri}/fk-edges/find-paths \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Project-ID: <x-project-id>' \
  --data '
{
  "table_fqns": [
    "<string>"
  ],
  "max_hops": 5
}
'
{
  "paths": [
    {
      "from_table": "<string>",
      "to_table": "<string>",
      "found": true,
      "path": [
        {
          "from_table": "<string>",
          "from_column": "<string>",
          "to_table": "<string>",
          "to_column": "<string>"
        }
      ],
      "hops": 123
    }
  ],
  "total_pairs": 123,
  "paths_found": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string
required

Path Parameters

resource_type
string
required
resource_uri
string
required

Body

application/json

Request to find shortest paths between tables.

table_fqns
string[]
required

Table FQNs to connect (min 2, max 100)

Required array length: 2 - 100 elements
max_hops
integer
default:5

Maximum path length (1-10, default 5)

Required range: 1 <= x <= 10

Response

Successful Response

Response for path finding.

paths
PathResult · object[]
required

Path results for each table pair

total_pairs
integer
required

Total table pairs evaluated

paths_found
integer
required

Number of paths found